curl -X PUT https://zeplo.ai/api/templates/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "body": "Updated template body with {{1}} placeholder" }'
{
"success": true,
"data": {
"id": 1,
"name": "welcome_message",
"status": "PENDING",
"body": "Updated template body with {{1}} placeholder",
"updatedAt": "2026-01-15T14:00:00Z"
}
}
Templates
PUT Update Template
Update an existing WhatsApp message template.
PUT
/
api
/
templates
/
:id
curl -X PUT https://zeplo.ai/api/templates/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "body": "Updated template body with {{1}} placeholder" }'
{
"success": true,
"data": {
"id": 1,
"name": "welcome_message",
"status": "PENDING",
"body": "Updated template body with {{1}} placeholder",
"updatedAt": "2026-01-15T14:00:00Z"
}
}
Update template
PUT /api/templates/:id
Update a template’s body, footer, buttons, or other properties.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Path parameters
integer
required
Template ID.
Body parameters
string
Template body text with
{{N}} placeholders.string
Footer text.
Only templates with
APPROVED, REJECTED, or PAUSED status can be edited. After editing, the template is resubmitted for approval.curl -X PUT https://zeplo.ai/api/templates/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "body": "Updated template body with {{1}} placeholder" }'
{
"success": true,
"data": {
"id": 1,
"name": "welcome_message",
"status": "PENDING",
"body": "Updated template body with {{1}} placeholder",
"updatedAt": "2026-01-15T14:00:00Z"
}
}
